% This script was used to establish the viscous coefficients of the OO Star.
% It is defined by the relative-velocities and zero-upcrossing period 
% from SIMA, and had to be user-modified for each iteration.

% This is the only script 
clear all
close all

uv = [0.95847 0.74997 0.6321 0.55263];
Tz = 9.2072;
uvx = uv(4);
uvz = 0.43916;
uvplate = 0.36473;
uvdirec = [0:14/3:14];
realuv = fit(uvdirec',uv','poly3');
KCplate = sqrt(2)*uvplate*Tz/21;

D1 = zeros(1,15);
D1(1:4) = 12;
h = (14-12)/10;
D1(5:15) = 12:h:14;
h2 = (14.212-8.892)/14;
D2 = [8.892:h2:14.212];
Dx = 14;
Dy = 6;

a = realuv(0:14);
b = realuv(0:14);
KC1 = sqrt(2)*a'.*Tz./D1;
KC2 = sqrt(2)*b'.*Tz./D2;
KC3 = sqrt(2)*uvz*Tz./Dx;
KC4 = sqrt(2)*uvx*Tz./Dy;
[drag1,drag2,dragrectx,dragrectz,Cd1,Cd2] = fitcd(KC1,D1,KC2,D2,KC3,KC4);
[A33,damp,Tn,cdchanged] = findaddedmassnatperiod(KCplate);

reldrag1 = drag1/drag1(1);
reldrag2 = drag2/drag2(1);